import request from '@/utils/new-request'
import wmsRequest from '@/utils/request'

export function _getPageResult(data) {
  return request({
    url: '/FinanceCustomerSupplements/GetPageResult',
    method: 'post',
    data
  })
}
export function _inputFinanceCustomerSupplements(url, type, month) {
  return request({
    url: '/FinanceCustomerSupplements/InputFinanceCustomerSupplements',
    method: 'post',
    params: { url, type, month,isNewFee:false },
    timeout: 1000 * 60
  })
}

/**
 * 上传SKU操作
 * @param {*} data
 * @returns
 */
export function _AddCustomerSKUFeeFinanceCustomer(data) {
  return request({
    url: '/FinanceCustomerSupplements/AddCustomerSKUFee',
    method: 'post',
    data,
    timeout: 1000 * 60
  })
}

export function _getFinanceCustomerSupplementType() {
  return request({
    url: '/FinanceCustomerSupplements/GetFinanceCustomerSupplementTypes',
    method: 'get'
  })
}

export function _edit(data) {
  return request({
    url: '/FinanceCustomerSupplements/Edit',
    method: 'get'
  })
}

export function _add(data) {
  return request({
    url: '/FinanceCustomerSupplements/Add',
    method: 'get'
  })
}

export function _remave(data) {
  return request({
    url: '/FinanceCustomerSupplements/Remave',
    method: 'get'
  })
}

export function _getCancelSupplement(params) {
  return wmsRequest({
    url: '/Finance/CancelSupplement?SystemNo='+params.SystemNo+'&transactionNumber='+params.transactionNumber,
    method: 'post',
    params
  })
}

